DPDK usage discussions
 help / color / Atom feed
* [dpdk-users] Changes to DPDK kmod drivers / backward compatibility within LTS rel.
@ 2020-09-24 17:12 Alexander Kotliarov
  2020-10-29 21:07 ` Thomas Monjalon
  0 siblings, 1 reply; 4+ messages in thread
From: Alexander Kotliarov @ 2020-09-24 17:12 UTC (permalink / raw)
  To: users

Hi there!
I would like to find out what is the policy regarding changes to the DPDK's
kmod drivers such as igb_uio.ko within a DPDK's LTS release. Are these
changes backward compatible?
For example, is there a guarantee that an application built
against 19.11.5, where igb_uio.ko received changes,would run with this
driver built from 19.11.1 version?

Does http://doc.dpdk.org/guides/contributing/stable.html section 8.4 apply
to kmod drivers as well?

Thanks.
Alex Kotliarov

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [dpdk-users] Changes to DPDK kmod drivers / backward compatibility within LTS rel.
  2020-09-24 17:12 [dpdk-users] Changes to DPDK kmod drivers / backward compatibility within LTS rel Alexander Kotliarov
@ 2020-10-29 21:07 ` Thomas Monjalon
  2020-10-29 21:49   ` Stephen Hemminger
  2020-10-30 22:38   ` Kinsella, Ray
  0 siblings, 2 replies; 4+ messages in thread
From: Thomas Monjalon @ 2020-10-29 21:07 UTC (permalink / raw)
  To: Alexander Kotliarov
  Cc: users, Ray Kinsella, david.marchand, ferruh.yigit,
	bruce.richardson, stephen

24/09/2020 19:12, Alexander Kotliarov:
> Hi there!
> I would like to find out what is the policy regarding changes to the DPDK's
> kmod drivers such as igb_uio.ko within a DPDK's LTS release. Are these
> changes backward compatible?
> For example, is there a guarantee that an application built
> against 19.11.5, where igb_uio.ko received changes,would run with this
> driver built from 19.11.1 version?
> 
> Does http://doc.dpdk.org/guides/contributing/stable.html section 8.4 apply
> to kmod drivers as well?

There is no such formal guarantee, but in my opinion,
it should be the case. Do you imagine a change in kmod
which could break a DPDK version?



^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [dpdk-users] Changes to DPDK kmod drivers / backward compatibility within LTS rel.
  2020-10-29 21:07 ` Thomas Monjalon
@ 2020-10-29 21:49   ` Stephen Hemminger
  2020-10-30 22:38   ` Kinsella, Ray
  1 sibling, 0 replies; 4+ messages in thread
From: Stephen Hemminger @ 2020-10-29 21:49 UTC (permalink / raw)
  To: Thomas Monjalon
  Cc: Alexander Kotliarov, users, Ray Kinsella, david.marchand,
	ferruh.yigit, bruce.richardson

On Thu, 29 Oct 2020 22:07:38 +0100
Thomas Monjalon <thomas@monjalon.net> wrote:

> 24/09/2020 19:12, Alexander Kotliarov:
> > Hi there!
> > I would like to find out what is the policy regarding changes to the DPDK's
> > kmod drivers such as igb_uio.ko within a DPDK's LTS release. Are these
> > changes backward compatible?
> > For example, is there a guarantee that an application built
> > against 19.11.5, where igb_uio.ko received changes,would run with this
> > driver built from 19.11.1 version?
> > 
> > Does http://doc.dpdk.org/guides/contributing/stable.html section 8.4 apply
> > to kmod drivers as well?  
> 
> There is no such formal guarantee, but in my opinion,
> it should be the case. Do you imagine a change in kmod
> which could break a DPDK version?

Why do you still need to use igb_uio?
Can you use vfio instead?

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [dpdk-users] Changes to DPDK kmod drivers / backward compatibility within LTS rel.
  2020-10-29 21:07 ` Thomas Monjalon
  2020-10-29 21:49   ` Stephen Hemminger
@ 2020-10-30 22:38   ` Kinsella, Ray
  1 sibling, 0 replies; 4+ messages in thread
From: Kinsella, Ray @ 2020-10-30 22:38 UTC (permalink / raw)
  To: Thomas Monjalon, Alexander Kotliarov
  Cc: users, david.marchand, ferruh.yigit, bruce.richardson, stephen



On 29/10/2020 21:07, Thomas Monjalon wrote:
> 24/09/2020 19:12, Alexander Kotliarov:
>> Hi there!
>> I would like to find out what is the policy regarding changes to the DPDK's
>> kmod drivers such as igb_uio.ko within a DPDK's LTS release. Are these
>> changes backward compatible?
>> For example, is there a guarantee that an application built
>> against 19.11.5, where igb_uio.ko received changes,would run with this
>> driver built from 19.11.1 version?
>>
>> Does http://doc.dpdk.org/guides/contributing/stable.html section 8.4 apply
>> to kmod drivers as well?
> 
> There is no such formal guarantee, but in my opinion,
> it should be the case. Do you imagine a change in kmod
> which could break a DPDK version?
> 

We never said anything specifically about the kmods (kni or igb_uio).
There is always a possibility a change here could break DPDK, however remote. 
More probable for KNI than igb_uio.

Ray K

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, back to index

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-09-24 17:12 [dpdk-users] Changes to DPDK kmod drivers / backward compatibility within LTS rel Alexander Kotliarov
2020-10-29 21:07 ` Thomas Monjalon
2020-10-29 21:49   ` Stephen Hemminger
2020-10-30 22:38   ` Kinsella, Ray

DPDK usage discussions

Archives are clonable:
	git clone --mirror http://inbox.dpdk.org/users/0 users/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 users users/ http://inbox.dpdk.org/users \
		users@dpdk.org
	public-inbox-index users


Newsgroup available over NNTP:
	nntp://inbox.dpdk.org/inbox.dpdk.users


AGPL code for this site: git clone https://public-inbox.org/ public-inbox